<div class="ch-container">
  <div class="container">
    <ch-spinner [isRunning]="isRequesting"></ch-spinner>
    <div id="background"></div>

    <h4>{{'CATEGORIES.TITLE' | translate | uppercase}}</h4>
    <div class="row">
      <!-- List of categories -->
      <div class="col col-sm-3">
        <div class="ch-category-list">
          <div class="ch-background-trans"></div>
          <div class="list-group">
            <button class="list-group-item list-group-item-action"
                    *ngFor="let category of categories"
                    [ngClass]="{'active': currentCategory._id === category._id}"
                    type="button"
                    (click)="getCategory(category)"
            >{{category.title}}</button>
          </div>
        </div>
      </div><!-- end List of categories -->
      <!-- Category description -->
      <div class="col-lg-9">
        <ch-message-alert [message]="message"></ch-message-alert>
        <div class="ch-content">
          <div class="ch-background-trans"></div>

          <div class="ch-category-description" >
            <h5 *ngIf="!currentCategory._id">{{'CATEGORIES.NO_CATEGORY' | translate}}</h5>

            <h5 *ngIf="currentCategory._id">{{currentCategory.title}}</h5>
            <p *ngIf="currentCategory._id">{{currentCategory.description}}</p>
            <div *ngIf="currentCategory.author">
              <i class="fa fa-user" aria-hidden="true"></i>
              <span>{{currentCategory.author.firstName + ' ' + currentCategory.author.lastName}}</span>
            </div>
            <div *ngIf="currentCategory._id"><i class="fa fa-calendar" aria-hidden="true"></i> {{currentCategory.createdAt}}</div>

            <div class="actions">
              <button class="btn btn-outline-success btn-sm"
                      (click)="openAddCategory()"
              >
                <i class="fa fa-folder-o" aria-hidden="true"></i> {{'CATEGORIES.ADD_BTN' | translate}}
              </button>
              <button class="btn btn-outline-warning btn-sm"
                      *ngIf="currentCategory.author"
                      (click)="openEditCategory(currentCategory)"
              >
                <i class="fa fa-pencil" aria-hidden="true"></i> {{'CATEGORIES.EDIT_BTN' | translate}}
              </button>
              <button class="btn btn-outline-danger btn-sm"
                      *ngIf="currentCategory.author"
                      (click)="remove(currentCategory)"
              >
                <i class="fa fa-times" aria-hidden="true"></i> {{'CATEGORIES.REMOVE_BTN' | translate}}
              </button>
            </div>
          </div>
          <div class="ch-category-add-container">
            <div class="ch-category-add"
                [ngClass]="{'show-add': showAdd === true}"
            >
            <button class="btn btn-link btn-sm"
                    (click)="cancelAdd()"
            ><i class="fa fa-times" aria-hidden="true"></i></button>
              <div>
                <h5 *ngIf="!isEdit">{{'CATEGORIES.ADD_TITLE' | translate}}</h5>
                <h5 *ngIf="isEdit">{{'CATEGORIES.EDIT_TITLE' | translate}} <strong>{{currentCategory.title}}</strong></h5>
                <form [formGroup]="categoryForm"
                      (ngSubmit)="save()"
                      novalidate>
                  <div class="form-group"
                      [ngClass]="{
                        'has-danger': title.invalid && (title.dirty || title.touched),
                        'has-success': title.valid && (title.dirty || title.touched)
                      }"
                  >
                    <input class="form-control"
                          [ngClass]="{
                            'form-control-danger': title.invalid,
                            'form-control-success': title.valid
                          }"
                          placeholder="{{'CATEGORIES.TITLE_PLACEHOLDER' | translate}}"
                          formControlName="title"
                          type="text">
                    <small class="form-control-feedback"
                          *ngIf="(!title.pristine || title.touched) && title.invalid">
                          <div *ngIf="title.errors.required">{{'CATEGORIES.TITLE_REQUIRED' | translate}}</div>
                          <div *ngIf="title.errors.minlength">{{'CATEGORIES.TITLE_MIN_LENGTH' | translate}}</div>
                    </small>
                  </div>
                  <div class="form-group">
                    <textarea class="form-control"
                              rows="4"
                              placeholder="{{'CATEGORIES.DESCRIPTION_PLACEHOLDER' | translate}}"
                              formControlName="description"></textarea>
                  </div>
                  <button class="btn btn-outline-success btn-sm"
                          [disabled]="categoryForm.invalid"
                          type="submit"
                  >
                    <i class="fa fa-times" aria-hidden="true"></i> {{'CATEGORIES.SAVE_BTN' | translate}}
                  </button>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div><!-- end Category description -->
    </div><!-- end row -->
  </div><!-- end container -->
</div>
